---
sidebar_position: 8
description: Copy object and other functions to work with Dropbox in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Dropbox]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Copy object
 Copies a file or directory to the selected path



`Function CopyObject(Val Token, Val From, Val Target) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Token |
  | From | --from | String | &#x2714; | Path to the original object |
  | Target | --to | String | &#x2714; | Target path for the new object |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from Dropbox



```bsl title="1C:Enterprise/OneScript code example"
    Original = "/New/pic.png";
    Copy     = "/New/pic_copy.png";
    Token    = "sl.u. ...";

    Result = OPI_Dropbox.CopyObject(Token, Original, Copy);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint dropbox CopyObject \
             --token "***" \
             --from "/New/pic.png" \
             --to "/New/pic_copy.png"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint dropbox CopyObject ^
             --token "***" ^
             --from "/New/pic.png" ^
             --to "/New/pic_copy.png"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "metadata": {
  ".tag": "file",
  "name": "pic_copy.png",
  "path_lower": "/new/pic_copy.png",
  "path_display": "/New/pic_copy.png",
  "id": "id:kJU6-a-pT48AAAAAAABiww",
  "client_modified": "***",
  "server_modified": "2025-12-10T19:44:27Z",
  "rev": "6459e418f4adabd841553",
  "size": 2114023,
  "is_downloadable": true,
  "content_hash": "0f3b18c255b0f252bd326cacc04c15c3aa57bd6b8234adb65aa7bb2987a65492"
 }
}
```
